HTMLManagerServlet (Catalina Internal API Documentation)
Keywords: org.apache.catalina.servlets.HTMLManagerServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class HTMLManagerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.servlets.ManagerServlet
                  org.apache.catalina.servlets.HTMLManagerServlet

All Implemented Interfaces:
  ContainerServlet, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public final class HTMLManagerServlet
extends ManagerServlet

Servlet that enables remote management of the web applications installed within the same virtual host as this web application is. Normally, this functionality will be protected by a security constraint in the web application deployment descriptor. However, this requirement can be relaxed during testing.

The difference between the `ManagerServlet` and this Servlet is that this Servlet prints out a HTML interface which makes it easier to administrate.

However if you use a software that parses the output of `ManagerServlet`ManagerServlet

Version:
  $Revision: 434283 $, $Date: 2006-08-23 21:57:51 -0400 (Wed, 23 Aug 2006) $
Author:
  Bip Thelin, Malcolm Edgar, Glenn L. Nielsen
See Also:
  `ManagerServlet`, Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.servlets.ManagerServlet
`context, debug, deployed, deployer, global, sm, wrapper`

Constructor Summary
`HTMLManagerServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a POST request for the specified resource.
`protected java.lang.String` | `install(java.lang.String config, java.lang.String path, java.lang.String war)` Install an application for the specified path from the specified web application archive.
`void` | `list(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String message)` Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.
`protected java.lang.String` | `reload(java.lang.String path)` Reload the web application at the specified context path.
`protected java.lang.String` | `remove(java.lang.String path)` Remove the web application at the specified context path.
`java.lang.String` | `sessions(java.lang.String path)` Display session information and invoke list.
`java.lang.String` | `start(java.lang.String path)` Start the web application at the specified context path.
`protected java.lang.String` | `stop(java.lang.String path)` Stop the web application at the specified context path.

Methods inherited from class org.apache.catalina.servlets.ManagerServlet
`deploy, destroy, doPut, extractXml, getLock, getWrapper, init, install, list, printResources, reload, remove, resources, roles, serverinfo, sessions, setWrapper, start, stop, undeploy, undeployDir, uploadWar`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLManagerServlet

    public HTMLManagerServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.

  Overrides:
    `doGet` in class `ManagerServlet`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process a POST request for the specified resource.

  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs

### install

    protected java.lang.String install(java.lang.String config,
                                       java.lang.String path,
                                       java.lang.String war)

  Install an application for the specified path from the specified web application archive.

  Parameters:
    `config` - URL of the context configuration file to be installed
    `path` - Context path of the application to be installed
    `war` - URL of the web application archive to be installed
  Returns:
    message String

### list

    public void list(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     java.lang.String message)
              throws java.io.IOException

  Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.

  Parameters:
    `message` - a message to display
  Throws:
    `java.io.IOException`

### reload

    protected java.lang.String reload(java.lang.String path)

  Reload the web application at the specified context path.

  Parameters:
    `path` - Context path of the application to be restarted
  Returns:
    message String
  See Also:
    `ManagerServlet.reload(PrintWriter, String)`

### remove

    protected java.lang.String remove(java.lang.String path)

  Remove the web application at the specified context path.

  Parameters:
    `path` - Context path of the application to be removed
  Returns:
    message String
  See Also:
    `ManagerServlet.remove(PrintWriter, String)`

### sessions

    public java.lang.String sessions(java.lang.String path)

  Display session information and invoke list.

  Parameters:
    `path` - Context path of the application to list session information
  Returns:
    message String
  See Also:
    `ManagerServlet.sessions(PrintWriter, String)`

### start

    public java.lang.String start(java.lang.String path)

  Start the web application at the specified context path.

  Parameters:
    `path` - Context path of the application to be started
  Returns:
    message String
  See Also:
    `ManagerServlet.start(PrintWriter, String)`

### stop

    protected java.lang.String stop(java.lang.String path)

  Stop the web application at the specified context path.

  Parameters:
    `path` - Context path of the application to be stopped
  Returns:
    message String
  See Also:
    `ManagerServlet.stop(PrintWriter, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.